6.0.0-git
2019-04-24

[#8306] Marking as unread missing
Summary Marking as unread missing
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2009-05-25 (3621 days ago)
Due
Updated 2010-01-13 (3388 days ago)
Assigned 2009-05-28 (3618 days ago)
Resolved 2009-05-28 (3618 days ago)
Milestone
Patch No

History
2010-01-13 00:03:51 CVS Commit Comment #8 Reply to this comment
Changes have been made in Git for this ticket:

Enable system IMAP flags by default, and make the preference visible 
(Bug #8306).

http://git.horde.org/diff.php/imp/config/prefs.php.dist?rt=horde-git&r1=b7f1227dd6a4df789c79214dc1a167fc60689563&r2=093f0dadcabed53ded774c51aa9b7f3dfdfa5124
2009-05-28 15:27:31 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
Thanks, and yes, it's much simpler now.
2009-05-28 15:22:24 Michael Slusarz Comment #6 Reply to this comment
Turns out that this was due to the msgflags_hidesys preference being
turned on by default and no way to turn it off for the user. I
changed both, but I wonder why we need this setting at all. I doesn't
make much sense to me.
Turns out that the main issue is that the seen flag should have been 
of type 'imapu', not 'imap'.



Agreed that a separate msgflags_hidesys pref is not needed - this can 
be handled entirely via the 'imap' vs. 'imapu' type field in the 
msgflags pref.  I've made this change.  However, the theory behind the 
pref is still sound - not all system flags should be user-settable (by 
default).  For example, the forwarded, draft, and answered flag should 
really never be set by the user.  These flags indicate specific things 
at the IMAP level and messing with them is arguably breaking RFCs.   
Thus the need to not show these flags in the Mark Messages dropdown.   
Theoretically, the deleted flag should be on this list also since it 
should be set exclusively via Delete/Undelete actions.  However, since 
we allow switching between Trash and non-Trash mode, it is sometimes 
necessary to remove unwanted deleted flags.  And even though unseen 
also should not be theoretically settable, it is the single most 
important flag in terms of message highlighting that it is ok to allow 
being set.
2009-05-28 13:32:26 Jan Schneider Comment #5 Reply to this comment
Turns out that this was due to the msgflags_hidesys preference being 
turned on by default and no way to turn it off for the user. I changed 
both, but I wonder why we need this setting at all. I doesn't make 
much sense to me.
2009-05-28 12:55:59 Michael Slusarz Comment #4 Reply to this comment
The flags correctly show up in the preference interface, but even
after explicitly saving them they don't show up in the flag drop
down, neither in the mailbox or the message view.
You'll have to debug since I can't reproduce.  The unseen flag shows 
up everywhere for me.
2009-05-28 12:46:51 Jan Schneider Comment #3 Reply to this comment
The flags correctly show up in the preference interface, but even 
after explicitly saving them they don't show up in the flag drop down, 
neither in the mailbox or the message view.
2009-05-28 12:05:15 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
I don't see this.  Flags that are viewable and allowed to be set are 
controlled in prefs.php now.



I was seeing some weirdness relating to setting opposite flags (i.e. 
unseen) and also having the unseen flag being instantly cleared after 
set.  I have fixed both of these issues, although they do not appear 
to be directly related to this report.
2009-05-25 12:52:47 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Marking as unread missing
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
The option to mark the current message as unread is missing in the 
message view.

Saved Queries